<?php 
/*************************************************************************** 
*                               admin_ffxi_characters.php 
*                            ------------------- 
*   begin                : Monday, Feb 8, 2006 
*   copyright            : (C) 2006 Jadestone	 
*   email                : crichton69@comcast.net 
* 
* 
***************************************************************************/ 

/*************************************************************************** 
* 
*   This program is free software; you can redistribute it and/or modify 
*   it under the terms of the GNU General Public License as published by 
*   the Free Software Foundation; either version 2 of the License, or 
*   (at your option) any later version. 
* 
***************************************************************************/


define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['FFXI_Characters']['Config'] = $file;
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);


//
// Pull all config data
//
$sql = "SELECT *
	FROM " . CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information.", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = isset($HTTP_POST_VARS['submit']) ? str_replace("'", "\'", $config_value) : $config_value;
		
		$new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . CONFIG_TABLE . " SET
				config_value = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE config_name = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update general configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}
}

$disable_ffxi_characters_yes = ( $new['allow_ffxi_characters'] ) ? "checked=\"checked\"" : "";
$disable_ffxi_characters_no = ( !$new['allow_ffxi_characters'] ) ? "checked=\"checked\"" : "";
$show_profile_yes = ( $new['show_profile'] ) ? "checked=\"checked\"" : "";
$show_profile_no = ( !$new['show_profile'] ) ? "checked=\"checked\"" : "";
$show_topic_yes = ( $new['show_topic'] ) ? "checked=\"checked\"" : "";
$show_topic_no = ( !$new['show_topic'] ) ? "checked=\"checked\"" : "";
$show_flags_yes = ( $new['show_flags'] ) ? "checked=\"checked\"" : "";
$show_flags_no = ( !$new['show_flags'] ) ? "checked=\"checked\"" : "";
$show_serv_yes = ( $new['show_serv'] ) ? "checked=\"checked\"" : "";
$show_serv_no = ( !$new['show_serv'] ) ? "checked=\"checked\"" : "";






$template->set_filenames(array(
	"body" => "admin/ffxi_characters_config_body.tpl")
);


$template->assign_vars(array(
	"L_YES" => $lang['Yes'],
	"L_NO" => $lang['No'],
	"L_FFXI_CHARACTERS_CONFIG_TITLE" => $lang['ffxi_characters_config'],
	"L_FFXI_CHARACTERS_CONFIG_EXPLAIN" => $lang['ffxi_characters_config_explain'],
	"L_FFXI_CHARACTER_SETTINGS" => $lang['ffxi_characters_config'],
	"L_SUBMIT" => $lang['Submit'], 

	"L_DISABLE_FFXI_CHARACTER" => $lang['ffxi_character_disable'],
	"L_DISABLE_FFXI_CHARACTER_EXPLAIN" => $lang['ffxi_character_disable_explain'],
	"L_SHOW_PROFILE" => $lang['ffxi_show_profile'],
	"L_SHOW_PROFILE_EXPLAIN" => $lang['ffxi_show_profile_explain'],
	"L_SHOW_TOPIC" => $lang['ffxi_show_topic'],
	"L_SHOW_TOPIC_EXPLAIN" => $lang['ffxi_show_topic_explain'],
	"L_SHOW_FLAGS" => $lang['ffxi_show_flags'],
	"L_SHOW_FLAGS_EXPLAIN" => $lang['ffxi_show_flags_explain'],
	"L_SHOW_SERVER" => $lang['ffxi_show_server'],
	"L_SHOW_SERVER_EXPLAIN" => $lang['ffxi_show_server_explain'],




	"S_DISABLE_FFXI_CHARACTERS_YES" => $disable_ffxi_characters_yes,
	"S_DISABLE_FFXI_CHARACTERS_NO" => $disable_ffxi_characters_no,
	"SHOW_PROFILE_YES" => $show_profile_yes,
	"SHOW_PROFILE_NO" => $show_profile_no,
	"SHOW_TOPIC_YES" => $show_topic_yes,
	"SHOW_TOPIC_NO" => $show_topic_no,
	"SHOW_FLAGS_YES" => $show_flags_yes,
	"SHOW_FLAGS_NO" => $show_flags_no,
	"SHOW_SERV_YES" => $show_serv_yes,
	"SHOW_SERV_NO" => $show_serv_no,
)
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>