<?php

// standard hack prevent
define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

// standard session management
$userdata = session_pagestart($user_ip, PAGE_FFXI_CHARACTERS_EDIT);
init_userprefs($userdata);

// set page title
$page_title = $lang['FFXICHARMANAG'];

// standard page header
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

// Kick out those who do not belong
if ($userdata['user_id'] == ANONYMOUS)
{
		message_die(GENERAL_ERROR, $lang['FFXINEEDLOGIN']);
}	

// arrays
$servers_id = array(34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1);
$servers_names = array($lang['Valefor'], $lang['Unicorn'], $lang['Titan'], $lang['Sylph'], $lang['Siren'], $lang['Shiva'], $lang['Seraph'], $lang['Remora'], $lang['Ramuh'], $lang['Ragnarok'], $lang['Quetzalcoatl'], $lang['Phoenix'], $lang['Pandemonium'], $lang['Odin'], $lang['Midgardsormr'], $lang['Leviathan'], $lang['Lakshmi'], $lang['Kujata'], $lang['Ifrit'], $lang['Hydra'], $lang['Hades'], $lang['Gilgamesh'], $lang['Garuda'], $lang['Fenrir'], $lang['Fairy'], $lang['Diabolos'], $lang['Cerberus'], $lang['Carbuncle'], $lang['Caitsith'], $lang['Bismarck'], $lang['Bahamut'], $lang['Atomos'], $lang['Asura'], $lang['Alexander']);

$ranks = array(10, 9, 8, 7, 6, 5, 4, 3, 2, 1);

$nations_id = array(3, 2, 1);
$nations_names = array($lang['FFXIWindurst'], $lang['FFXISandy'], $lang['FFXIBastok']);

$race_id = array(5, 4, 3, 2, 1);
$race_names = array($lang['FFXITARU'], $lang['FFXIMITHRA'], $lang['FFXIHume'], $lang['FFXIGALKA'],$lang['FFXIELVAAN']);

$jobsvalues = array(18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1);
$jobsname = array($lang['Blue_Mage'], $lang['Puppetmaster'], $lang['Corsair'], $lang['Dragoon'], $lang['Ninja'], $lang['Samurai'], $lang['Summoner'], $lang['Bard'], $lang['Ranger'], $lang['Beastmaster'], $lang['Dark_Knight'], $lang['Paladin'], $lang['Thief'], $lang['Red_Mage'], $lang['Black_Mage'], $lang['White_Mage'], $lang['Monk'], $lang['Warrior']);

$sjobsvalues = array(18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0);
$sjobsname = array($lang['Blue_Mage'], $lang['Puppetmaster'], $lang['Corsair'], $lang['Dragoon'], $lang['Ninja'], $lang['Samurai'], $lang['Summoner'], $lang['Bard'], $lang['Ranger'], $lang['Beastmaster'], $lang['Dark_Knight'], $lang['Paladin'], $lang['Thief'], $lang['Red_Mage'], $lang['Black_Mage'], $lang['White_Mage'], $lang['Monk'], $lang['Warrior'], $lang['FFXINA']);

$lvlss = array(75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1);

$xlvlss = array(75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, $lang['FFXINA']);

$clvls = array(100, 99, 98, 97, 96, 95, 94, 93, 92, 91, 90, 89, 88, 87, 86, 85, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1);

$crafts_id = array(9, 8, 7, 6, 5, 4, 3, 2, 1, 0);
$crafts_names = array($lang['FFXIWood'], $lang['FFXISmith'], $lang['FFXILeather'], $lang['FFXIGold'], $lang['FFXIFish'], $lang['FFXICook'], $lang['FFXICloth'], $lang['FFXIBone'], $lang['FFXIAlchemy'], $lang['FFXINA']);

// Variable retrieval
$mode = $HTTP_GET_VARS['mode'];


//Let's rock!
if ($mode == "add")
{
	$user_id = ( !empty($userdata['user_id']) ) ? intval($userdata['user_id']) : '';
	$cname = ucwords(( !empty($HTTP_POST_VARS['cname']) ) ? htmlspecialchars($HTTP_POST_VARS['cname']) : '');
	$cserv = ( !empty($HTTP_POST_VARS['cserv']) ) ? htmlspecialchars($HTTP_POST_VARS['cserv']) : '';
	$rank = ( !empty($HTTP_POST_VARS['rank']) ) ? intval($HTTP_POST_VARS['rank']) : '';
	$nation = ( !empty($HTTP_POST_VARS['nation']) ) ? htmlspecialchars($HTTP_POST_VARS['nation']) : '';
	$cclass= ( !empty($HTTP_POST_VARS['cclass']) ) ? htmlspecialchars($HTTP_POST_VARS['cclass']) : '';
	$sclass= ( !empty($HTTP_POST_VARS['sclass']) ) ? htmlspecialchars($HTTP_POST_VARS['sclass']) : '';
	$race = ( !empty($HTTP_POST_VARS['race']) ) ? htmlspecialchars($HTTP_POST_VARS['race']) : '';
	$prof1 = ( !empty($HTTP_POST_VARS['prof1']) ) ? htmlspecialchars($HTTP_POST_VARS['prof1']) : '';
	$prof2 = ( !empty($HTTP_POST_VARS['prof2']) ) ? htmlspecialchars($HTTP_POST_VARS['prof2']) : '';
	$warlvl = ( !empty($HTTP_POST_VARS['warlvl']) ) ? intval($HTTP_POST_VARS['warlvl']) : '';
	$mnklvl = ( !empty($HTTP_POST_VARS['mnklvl']) ) ? intval($HTTP_POST_VARS['mnklvl']) : '';
	$whmlvl = ( !empty($HTTP_POST_VARS['whmlvl']) ) ? intval($HTTP_POST_VARS['whmlvl']) : '';
	$blmlvl = ( !empty($HTTP_POST_VARS['blmlvl']) ) ? intval($HTTP_POST_VARS['blmlvl']) : '';
	$rdmlvl = ( !empty($HTTP_POST_VARS['rdmlvl']) ) ? intval($HTTP_POST_VARS['rdmlvl']) : '';
	$thflvl = ( !empty($HTTP_POST_VARS['thflvl']) ) ? intval($HTTP_POST_VARS['thflvl']) : '';
	$pldlvl = ( !empty($HTTP_POST_VARS['pldlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['pldlvl']) : '';
	$drklvl = ( !empty($HTTP_POST_VARS['drklvl']) ) ? htmlspecialchars($HTTP_POST_VARS['drklvl']) : '';
	$bstlvl = ( !empty($HTTP_POST_VARS['bstlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['bstlvl']) : '';
	$rnglvl = ( !empty($HTTP_POST_VARS['rnglvl']) ) ? htmlspecialchars($HTTP_POST_VARS['rnglvl']) : '';
	$brdlvl = ( !empty($HTTP_POST_VARS['brdlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['brdlvl']) : '';
	$smnlvl = ( !empty($HTTP_POST_VARS['smnlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['smnlvl']) : '';
	$samlvl = ( !empty($HTTP_POST_VARS['samlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['samlvl']) : '';
	$ninlvl = ( !empty($HTTP_POST_VARS['ninlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['ninlvl']) : '';
	$drglvl = ( !empty($HTTP_POST_VARS['drglvl']) ) ? htmlspecialchars($HTTP_POST_VARS['drglvl']) : '';

	$corlvl = ( !empty($HTTP_POST_VARS['corlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['corlvl']) : '';
	$puplvl = ( !empty($HTTP_POST_VARS['puplvl']) ) ? htmlspecialchars($HTTP_POST_VARS['puplvl']) : '';
	$blulvl = ( !empty($HTTP_POST_VARS['blulvl']) ) ? htmlspecialchars($HTTP_POST_VARS['blulvl']) : '';

	
	
	$alchlvl = ( !empty($HTTP_POST_VARS['alchlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['alchlvl']) : '';
	$bonelvl = ( !empty($HTTP_POST_VARS['bonelvl']) ) ? htmlspecialchars($HTTP_POST_VARS['bonelvl']) : '';
	$clothlvl = ( !empty($HTTP_POST_VARS['clothlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['clothlvl']) : '';
	$cooklvl = ( !empty($HTTP_POST_VARS['cooklvl']) ) ? htmlspecialchars($HTTP_POST_VARS['cooklvl']) : '';
	$fishlvl = ( !empty($HTTP_POST_VARS['fishlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['fishlvl']) : '';
	$goldlvl = ( !empty($HTTP_POST_VARS['goldlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['goldlvl']) : '';
	$leatherlvl = ( !empty($HTTP_POST_VARS['leatherlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['leatherlvl']) : '';
	$smithlvl = ( !empty($HTTP_POST_VARS['smithlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['smithlvl']) : '';
	$woodlvl = ( !empty($HTTP_POST_VARS['woodlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['woodlvl']) : '';	

	// Info needed
	if (!$cname || !$rank || !$race ||!$nation)
	{
		message_die(GENERAL_ERROR, $lang['FFXIFILLFIELDS']);
	}
	if ($prof1 == $prof2 && ( !empty($prof1) && !empty($prof2) ) )
	{
	   message_die(GENERAL_ERROR, $lang['FFXISAMECRAFTLVL']);
	}

	// This next bit of code finds out whether main should be true or false:
	$main = 0;
	$sql = "SELECT main FROM " . CHARACTERS_TABLE . " WHERE user_ID = $user_id";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	while ($row = $db->sql_fetchrow($result))
	{
			$main++;
	}
	if ($main == 0)
	{
		$main = 1;
	}
	else
	{
			$main = 0;
	}
	$db->sql_freeresult($result);
	
	
	$sql = "INSERT INTO " . CHARACTERS_TABLE . " (user_ID, main, cname, cserv, rank, nation, cclass, sclass, race, prof1, prof2, warlvl, mnklvl, whmlvl, blmlvl, rdmlvl, thflvl, pldlvl, drklvl, bstlvl, rnglvl, brdlvl, smnlvl, samlvl, ninlvl, drglvl, corlvl, puplvl, blulvl, alchlvl, bonelvl, clothlvl, cooklvl, fishlvl, goldlvl, leatherlvl, smithlvl, woodlvl)
			VALUES ('$user_id', '$main', '$cname', '$cserv', '$rank', '$nation', '$cclass', '$sclass', '$race', '$prof1', '$prof2', '$warlvl', '$mnklvl', '$whmlvl', '$blmlvl', '$rdmlvl', '$thflvl', '$pldlvl', '$drklvl', '$bstlvl', '$rnglvl', '$brdlvl', '$smnlvl', '$samlvl', '$ninlvl', '$drglvl', '$corlvl', '$puplvl', '$blulvl', '$alchlvl', '$bonelvl', '$clothlvl', '$cooklvl', '$fishlvl', '$goldlvl', '$leatherlvl', '$smithlvl', '$woodlvl')";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	//$db->sql_freeresult($result);
	
	message_die(GENERAL_MESSAGE, $lang['FFXICHARADDED']);
}
else if ($mode == "addform")
{
	$server_html = "<select name=\"cserv\"><option value=\"0\" SELECTED>-</option>";
	
	for ($i = count($servers_id)-1; $i >= 0; $i--)
	{
			$server_html .= "<option value=\"" . $servers_id[$i] . "\">" . $servers_names[$i] . "</option>";
	}
	$server_html .= "</select>";


	$ranks_html = "<select name=\"rank\"><option value=\"0\" SELECTED>-</option>";
	
	for ($i = count($ranks)-1; $i >= 0; $i--)
	{
			$ranks_html .= "<option value=\"" . $ranks[$i] . "\">" . $ranks[$i] . "</option>";
	}
	$ranks_html .= "</select>";


	$nation_html = "<select name=\"nation\"><option value=\"0\" SELECTED>-</option>";
	
	for ($i = count($nations_id)-1; $i >= 0; $i--)
	{
			$nation_html .= "<option value=\"" . $nations_id[$i] . "\">" . $nations_names[$i] . "</option>";
	}
	$nation_html .= "</select>";

	$race_html = "<select name=\"race\"><option value=\"0\" SELECTED>-</option>";
	
	for ($i = count($race_id)-1; $i >= 0; $i--)
	{
			$race_html .= "<option value=\"" . $race_id[$i] . "\">" . $race_names[$i] . "</option>";
	}
	$race_html .= "</select>";


	$cclass_html = "<select name=\"cclass\"><option value=\"0\" SELECTED>-</option>";
	
	for ($i = count($jobsvalues)-1; $i >= 0; $i--)
	{
			$cclass_html .= "<option value=\"" . $jobsvalues[$i] . "\">" . $jobsname[$i] . "</option>";
	}
	$cclass_html .= "</select>";


	$sclass_html = "<select name=\"sclass\"><option value=\"0\" SELECTED>-</option>";
	
	for ($i = count($sjobsvalues)-1; $i >= 0; $i--)
	{
			$sclass_html .= "<option value=\"" . $sjobsvalues[$i] . "\">" . $sjobsname[$i] . "</option>";
	}
	$sclass_html .= "</select>";
	

	$warlvl_html = "<select name=\"warlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
			$warlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
	}
	$warlvl_html .= "</select>";

	$mnklvl_html = "<select name=\"mnklvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
			$mnklvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
	}
	$mnklvl_html .= "</select>";

	$whmlvl_html = "<select name=\"whmlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
			$whmlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
	}
	$whmlvl_html .= "</select>";

	$blmlvl_html = "<select name=\"blmlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
			$blmlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
	}
	$blmlvl_html .= "</select>";

	$rdmlvl_html = "<select name=\"rdmlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
			$rdmlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
	}
	$rdmlvl_html .= "</select>";

	$thflvl_html = "<select name=\"thflvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
			$thflvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
	}
	$thflvl_html .= "</select>";	

	$pldlvl_html = "<select name=\"pldlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$pldlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$pldlvl_html .= "</select>";

	$drklvl_html = "<select name=\"drklvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$drklvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$drklvl_html .= "</select>";

	$bstlvl_html = "<select name=\"bstlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$bstlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$bstlvl_html .= "</select>";

	$rnglvl_html = "<select name=\"rnglvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$rnglvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$rnglvl_html .= "</select>";

	$brdlvl_html = "<select name=\"brdlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$brdlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$brdlvl_html .= "</select>";

	$smnlvl_html = "<select name=\"smnlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$smnlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$smnlvl_html .= "</select>";

	$samlvl_html = "<select name=\"samlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$samlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$samlvl_html .= "</select>";

	$ninlvl_html = "<select name=\"ninlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$ninlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$ninlvl_html .= "</select>";

	$drglvl_html = "<select name=\"drglvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$drglvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$drglvl_html .= "</select>";

	$corlvl_html = "<select name=\"corlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$corlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$corlvl_html .= "</select>";

	$puplvl_html = "<select name=\"puplvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$puplvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$puplvl_html .= "</select>";

	$blulvl_html = "<select name=\"blulvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
			$blulvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
	}
	$blulvl_html .= "</select>";

	$alchlvl_html = "<select name=\"alchlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$alchlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$alchlvl_html .= "</select>";

	$bonelvl_html = "<select name=\"bonelvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$bonelvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$bonelvl_html .= "</select>";

	$clothlvl_html = "<select name=\"clothlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$clothlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$clothlvl_html .= "</select>";
	
	$cooklvl_html = "<select name=\"cooklvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$cooklvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$cooklvl_html .= "</select>";

	$fishlvl_html = "<select name=\"fishlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$fishlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$fishlvl_html .= "</select>";

	$goldlvl_html = "<select name=\"goldlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$goldlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$goldlvl_html .= "</select>";

	$leatherlvl_html = "<select name=\"leatherlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$leatherlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$leatherlvl_html .= "</select>";

	$smithlvl_html = "<select name=\"smithlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$smithlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$smithlvl_html .= "</select>";

	$woodlvl_html = "<select name=\"woodlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
			$woodlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
	}
	$woodlvl_html .= "</select>";

	$mcraft_html = "<select name=\"prof1\">";
	
	for ($i = count($crafts_id)-1; $i >= 0; $i--)
	{
			$mcraft_html .= "<option value=\"" . $crafts_id[$i] . "\">" . $crafts_names[$i] . "</option>";
	}
	$mcraft_html .= "</select>";

	$scraft_html = "<select name=\"prof2\">";
	
	for ($i = count($crafts_id)-1; $i >= 0; $i--)
	{
			$scraft_html .= "<option value=\"" . $crafts_id[$i] . "\">" . $crafts_names[$i] . "</option>";
	}
	$scraft_html .= "</select>";

	$template->assign_vars(array(
		'CSERV' => $server_html,
		'RANKS' => $ranks_html,
		'NATION' => $nation_html,
		'RACE' => $race_html,
		'CCLASS' => $cclass_html,
		'SCLASS' => $sclass_html,
		'WARLVL' => $warlvl_html,
		'MNKLVL' => $mnklvl_html,
		'WHMLVL' => $whmlvl_html,
		'BLMLVL' => $blmlvl_html,
		'RDMLVL' => $rdmlvl_html,
		'THFLVL' => $thflvl_html,
		'PLDLVL' => $pldlvl_html,
		'DRKLVL' => $drklvl_html,
		'BSTLVL' => $bstlvl_html,
		'RNGLVL' => $rnglvl_html,
		'BRDLVL' => $brdlvl_html,
		'SMNLVL' => $smnlvl_html,
		'SAMLVL' => $samlvl_html,
		'NINLVL' => $ninlvl_html,
		'DRGLVL' => $drglvl_html,
		'CORLVL' => $corlvl_html,
		'PUPLVL' => $puplvl_html,
		'BLULVL' => $blulvl_html,
		'ALCHLVL' => $alchlvl_html,
		'BONELVL' => $bonelvl_html,
		'CLOTHLVL' => $clothlvl_html,
		'COOKLVL' => $cooklvl_html,
		'ALCHLVL' => $alchlvl_html,
		'FISHLVL' => $fishlvl_html,
		'GOLDLVL' => $goldlvl_html,
		'LEATHERLVL' => $leatherlvl_html,
		'SMITHLVL' => $smithlvl_html,
		'WOODLVL' => $woodlvl_html,
		'MCRAFT' => $mcraft_html,
		'SCRAFT' => $scraft_html,

		'S_CHAR_ACTION' => append_sid("char_edit.$phpEx?mode=add"))

	);
	
	// assign template
	$template->set_filenames(array(
			'body' => 'char_edit_add.tpl')
	);
}
else if ($mode == "edit")
{
	$ID = ( !empty($HTTP_POST_VARS['ID']) ) ? intval($HTTP_POST_VARS['ID']) : '';
	$cserv = ( !empty($HTTP_POST_VARS['cserv']) ) ? htmlspecialchars($HTTP_POST_VARS['cserv']) : '';
	$rank = ( !empty($HTTP_POST_VARS['rank']) ) ? intval($HTTP_POST_VARS['rank']) : '';
	$nation = ( !empty($HTTP_POST_VARS['nation']) ) ? htmlspecialchars($HTTP_POST_VARS['nation']) : '';
	$cclass= ( !empty($HTTP_POST_VARS['cclass']) ) ? htmlspecialchars($HTTP_POST_VARS['cclass']) : '';
	$sclass= ( !empty($HTTP_POST_VARS['sclass']) ) ? htmlspecialchars($HTTP_POST_VARS['sclass']) : '';
	$prof1 = ( !empty($HTTP_POST_VARS['prof1']) ) ? htmlspecialchars($HTTP_POST_VARS['prof1']) : '';
	$prof2 = ( !empty($HTTP_POST_VARS['prof2']) ) ? htmlspecialchars($HTTP_POST_VARS['prof2']) : '';
	$warlvl = ( !empty($HTTP_POST_VARS['warlvl']) ) ? intval($HTTP_POST_VARS['warlvl']) : '';
	$mnklvl = ( !empty($HTTP_POST_VARS['mnklvl']) ) ? intval($HTTP_POST_VARS['mnklvl']) : '';
	$whmlvl = ( !empty($HTTP_POST_VARS['whmlvl']) ) ? intval($HTTP_POST_VARS['whmlvl']) : '';
	$blmlvl = ( !empty($HTTP_POST_VARS['blmlvl']) ) ? intval($HTTP_POST_VARS['blmlvl']) : '';
	$rdmlvl = ( !empty($HTTP_POST_VARS['rdmlvl']) ) ? intval($HTTP_POST_VARS['rdmlvl']) : '';
	$thflvl = ( !empty($HTTP_POST_VARS['thflvl']) ) ? intval($HTTP_POST_VARS['thflvl']) : '';
	$pldlvl = ( !empty($HTTP_POST_VARS['pldlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['pldlvl']) : '';
	$drklvl = ( !empty($HTTP_POST_VARS['drklvl']) ) ? htmlspecialchars($HTTP_POST_VARS['drklvl']) : '';
	$bstlvl = ( !empty($HTTP_POST_VARS['bstlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['bstlvl']) : '';
	$rnglvl = ( !empty($HTTP_POST_VARS['rnglvl']) ) ? htmlspecialchars($HTTP_POST_VARS['rnglvl']) : '';
	$brdlvl = ( !empty($HTTP_POST_VARS['brdlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['brdlvl']) : '';
	$smnlvl = ( !empty($HTTP_POST_VARS['smnlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['smnlvl']) : '';
	$samlvl = ( !empty($HTTP_POST_VARS['samlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['samlvl']) : '';
	$ninlvl = ( !empty($HTTP_POST_VARS['ninlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['ninlvl']) : '';
	$drglvl = ( !empty($HTTP_POST_VARS['drglvl']) ) ? htmlspecialchars($HTTP_POST_VARS['drglvl']) : '';

	$corlvl = ( !empty($HTTP_POST_VARS['corlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['corlvl']) : '';
	$puplvl = ( !empty($HTTP_POST_VARS['puplvl']) ) ? htmlspecialchars($HTTP_POST_VARS['puplvl']) : '';
	$blulvl = ( !empty($HTTP_POST_VARS['blulvl']) ) ? htmlspecialchars($HTTP_POST_VARS['blulvl']) : '';

	$alchlvl = ( !empty($HTTP_POST_VARS['alchlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['alchlvl']) : '';
	$bonelvl = ( !empty($HTTP_POST_VARS['bonelvl']) ) ? htmlspecialchars($HTTP_POST_VARS['bonelvl']) : '';
	$clothlvl = ( !empty($HTTP_POST_VARS['clothlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['clothlvl']) : '';
	$cooklvl = ( !empty($HTTP_POST_VARS['cooklvl']) ) ? htmlspecialchars($HTTP_POST_VARS['cooklvl']) : '';
	$fishlvl = ( !empty($HTTP_POST_VARS['fishlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['fishlvl']) : '';
	$goldlvl = ( !empty($HTTP_POST_VARS['goldlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['goldlvl']) : '';
	$leatherlvl = ( !empty($HTTP_POST_VARS['leatherlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['leatherlvl']) : '';
	$smithlvl = ( !empty($HTTP_POST_VARS['smithlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['smithlvl']) : '';
	$woodlvl = ( !empty($HTTP_POST_VARS['woodlvl']) ) ? htmlspecialchars($HTTP_POST_VARS['woodlvl']) : '';

	if (!$cclass || !$rank ||!$nation)
	{
		message_die(GENERAL_ERROR, $lang['FFXIFILLFIELDS']);
	}
	if ($prof1 == $prof2 && ( !empty($prof1) && !empty($prof2) ) )
	{
	   message_die(GENERAL_ERROR, $lang['FFXISAMECRAFTLVL']);
	}

	$sql = "UPDATE " . CHARACTERS_TABLE . "
			SET cserv = '$cserv', rank = '$rank', nation = '$nation', cclass = '$cclass', sclass = '$sclass', prof1 = '$prof1', prof2 = '$prof2', warlvl = '$warlvl', mnklvl = '$mnklvl', whmlvl = '$whmlvl', blmlvl = '$blmlvl', rdmlvl = '$rdmlvl', thflvl = '$thflvl', pldlvl = '$pldlvl', drklvl = '$drklvl', bstlvl = '$bstlvl', rnglvl = '$rnglvl', brdlvl = '$brdlvl', smnlvl = '$smnlvl', samlvl = '$samlvl', ninlvl = '$ninlvl', drglvl = '$drglvl', corlvl = '$corlvl', puplvl = '$puplvl', blulvl = '$blulvl', alchlvl = '$alchlvl', bonelvl = '$bonelvl', clothlvl = '$clothlvl', cooklvl = '$cooklvl', fishlvl = '$fishlvl', goldlvl = '$goldlvl', leatherlvl = '$leatherlvl', smithlvl = '$smithlvl', woodlvl = '$woodlvl'
			WHERE ID = $ID
			LIMIT 1";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	//$row = $db->sql_fetchrow($result);
	//$db->sql_freeresult($result);
	
	message_die(GENERAL_MESSAGE, $lang['FFXICHARMOD']);
}
else if ($mode == "editform")
{
	$ID = $HTTP_GET_VARS['ID'];
	
	// Get current info
	$sql = "SELECT user_ID, cname, cserv, rank, nation, cclass, sclass, race, prof1, prof2, warlvl, mnklvl, whmlvl, blmlvl, rdmlvl, thflvl, pldlvl, drklvl, bstlvl, rnglvl, brdlvl, smnlvl, samlvl, ninlvl, drglvl, corlvl, puplvl, blulvl, alchlvl, bonelvl, clothlvl, cooklvl, fishlvl, goldlvl, leatherlvl, smithlvl, woodlvl
			FROM " . CHARACTERS_TABLE . "
			WHERE ID = $ID
			LIMIT 1";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	$row = $db->sql_fetchrow($result);
	$db->sql_freeresult($result);
	
	if ($userdata['user_id'] != $row['user_ID'])
	{
			message_die(GENERAL_ERROR, $lang['FFXINOTU']);
	}
	
	$cname = $row['cname'];
	$cserv = $row['cserv'];
	$rank = $row['rank'];
	$nation = $row['nation'];
	$cclass = $row['cclass'];
	$sclass = $row['sclass'];
	$race = $row['race'];
	$prof1 = $row['prof1'];
	$prof2 = $row['prof2'];
	$warlvl = $row['warlvl'];
	$mnklvl = $row['mnklvl'];
	$whmlvl = $row['whmlvl'];
	$blmlvl = $row['blmlvl'];
	$rdmlvl = $row['rdmlvl'];
	$thflvl = $row['thflvl'];
	$pldlvl = $row['pldlvl'];
	$drklvl = $row['drklvl'];
	$bstlvl = $row['bstlvl'];
	$rnglvl = $row['rnglvl'];
	$brdlvl = $row['brdlvl'];
	$smnlvl = $row['smnlvl'];
	$samlvl = $row['samlvl'];
	$ninlvl = $row['ninlvl'];
	$drglvl = $row['drglvl'];

	$corlvl = $row['corlvl'];
	$puplvl = $row['puplvl'];
	$blulvl = $row['blulvl'];
	
	$alchlvl = $row['alchlvl'];
	$bonelvl = $row['bonelvl'];
	$clothlvl = $row['clothlvl'];
	$cooklvl = $row['cooklvl'];
	$fishlvl = $row['fishlvl'];
	$goldlvl = $row['goldlvl'];
	$leatherlvl = $row['leatherlvl'];
	$smithlvl = $row['smithlvl'];
	$woodlvl = $row['woodlvl'];


	$server_html = "<select name=\"cserv\">";
	
	for ($i = count($servers_id)-1; $i >= 0; $i--)
	{
		if ($cserv == $servers_id[$i])
		{
				$server_html .= "<option value=\"" . $servers_id[$i] . "\" SELECTED>" . $servers_names[$i] . "</option>";
		}
		else
		{
				$server_html .= "<option value=\"" . $servers_id[$i] . "\">" . $servers_names[$i] . "</option>";
		}
	}
	
	$server_html .= "</select>";
	
	$ranks_html = "<select name=\"rank\">";
	
	for ($i = count($ranks)-1; $i >= 0; $i--)
	{
		if ($rank == $ranks[$i])
		{
				$ranks_html .= "<option value=\"" . $ranks[$i] . "\" SELECTED>" . $ranks[$i] . "</option>";
		}
		else
		{
				$ranks_html .= "<option value=\"" . $ranks[$i] . "\">" . $ranks[$i] . "</option>";
		}
	}
	
	$ranks_html .= "</select>";

	$nation_html = "<select name=\"nation\">";
	
	for ($i = count($nations_id)-1; $i >= 0; $i--)
	{
		if ($nation == $nations_id[$i])
		{
				$nation_html .= "<option value=\"" . $nations_id[$i] . "\" SELECTED>" . $nations_names[$i] . "</option>";
		}
		else
		{
				$nation_html .= "<option value=\"" . $nations_id[$i] . "\">" . $nations_names[$i] . "</option>";
		}
	}
	
	$nation_html .= "</select>";

	$cclass_html = "<select name=\"cclass\">";
	
	for ($i = count($jobsvalues)-1; $i >= 0; $i--)
	{
		if ($cclass == $jobsvalues[$i])
		{
				$cclass_html .= "<option value=\"" . $jobsvalues[$i] . "\" SELECTED>" . $jobsname[$i] . "</option>";
		}
		else
		{
				$cclass_html .= "<option value=\"" . $jobsvalues[$i] . "\">" . $jobsname[$i] . "</option>";
		}
	}
	
	$cclass_html .= "</select>";

	$sclass_html = "<select name=\"sclass\">";
	
	for ($i = count($sjobsvalues)-1; $i >= 0; $i--)
	{
		if ($sclass == $sjobsvalues[$i])
		{
				$sclass_html .= "<option value=\"" . $sjobsvalues[$i] . "\" SELECTED>" . $sjobsname[$i] . "</option>";
		}
		else
		{
				$sclass_html .= "<option value=\"" . $sjobsvalues[$i] . "\">" . $sjobsname[$i] . "</option>";
		}
	}
	
	$sclass_html .= "</select>";
	
	$warlvl_html = "<select name=\"warlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
		if ($warlvl == $lvlss[$i])
		{
				$warlvl_html .= "<option value=\"" . $lvlss[$i] . "\" SELECTED>" . $lvlss[$i] . "</option>";
		}
		else
		{
				$warlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
		}
	}
	
	$warlvl_html .= "</select>";


	$mnklvl_html = "<select name=\"mnklvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
		if ($mnklvl == $lvlss[$i])
		{
				$mnklvl_html .= "<option value=\"" . $lvlss[$i] . "\" SELECTED>" . $lvlss[$i] . "</option>";
		}
		else
		{
				$mnklvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
		}
	}
	
	$mnklvl_html .= "</select>";

	$whmlvl_html = "<select name=\"whmlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
		if ($whmlvl == $lvlss[$i])
		{
				$whmlvl_html .= "<option value=\"" . $lvlss[$i] . "\" SELECTED>" . $lvlss[$i] . "</option>";
		}
		else
		{
				$whmlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
		}
	}
	
	$whmlvl_html .= "</select>";

	$blmlvl_html = "<select name=\"blmlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
		if ($blmlvl == $lvlss[$i])
		{
				$blmlvl_html .= "<option value=\"" . $lvlss[$i] . "\" SELECTED>" . $lvlss[$i] . "</option>";
		}
		else
		{
				$blmlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
		}
	}
	
	$blmlvl_html .= "</select>";

	$rdmlvl_html = "<select name=\"rdmlvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
		if ($rdmlvl == $lvlss[$i])
		{
				$rdmlvl_html .= "<option value=\"" . $lvlss[$i] . "\" SELECTED>" . $lvlss[$i] . "</option>";
		}
		else
		{
				$rdmlvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
		}
	}
	
	$rdmlvl_html .= "</select>";

	$thflvl_html = "<select name=\"thflvl\">";
	
	for ($i = count($lvlss)-1; $i >= 0; $i--)
	{
		if ($thflvl == $lvlss[$i])
		{
				$thflvl_html .= "<option value=\"" . $lvlss[$i] . "\" SELECTED>" . $lvlss[$i] . "</option>";
		}
		else
		{
				$thflvl_html .= "<option value=\"" . $lvlss[$i] . "\">" . $lvlss[$i] . "</option>";
		}
	}
	
	$thflvl_html .= "</select>";

	$pldlvl_html = "<select name=\"pldlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($pldlvl == $xlvlss[$i])
		{
				$pldlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$pldlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$pldlvl_html .= "</select>";

	$drklvl_html = "<select name=\"drklvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($drklvl == $xlvlss[$i])
		{
				$drklvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$drklvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$drklvl_html .= "</select>";

	$drklvl_html = "<select name=\"drklvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($drklvl == $xlvlss[$i])
		{
				$drklvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$drklvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$drklvl_html .= "</select>";

	$bstlvl_html = "<select name=\"bstlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($bstlvl == $xlvlss[$i])
		{
				$bstlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$bstlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$bstlvl_html .= "</select>";

	$rnglvl_html = "<select name=\"rnglvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($rnglvl == $xlvlss[$i])
		{
				$rnglvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$rnglvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$rnglvl_html .= "</select>";

	$brdlvl_html = "<select name=\"brdlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($brdlvl == $xlvlss[$i])
		{
				$brdlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$brdlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$brdlvl_html .= "</select>";

	$smnlvl_html = "<select name=\"smnlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($smnlvl == $xlvlss[$i])
		{
				$smnlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$smnlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$smnlvl_html .= "</select>";

	$samlvl_html = "<select name=\"samlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($samlvl == $xlvlss[$i])
		{
				$samlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$samlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$samlvl_html .= "</select>";

	$ninlvl_html = "<select name=\"ninlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($ninlvl == $xlvlss[$i])
		{
				$ninlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$ninlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$ninlvl_html .= "</select>";

	$drglvl_html = "<select name=\"drglvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($drglvl == $xlvlss[$i])
		{
				$drglvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$drglvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$drglvl_html .= "</select>";

	$corlvl_html = "<select name=\"corlvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($corlvl == $xlvlss[$i])
		{
				$corlvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$corlvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$corlvl_html .= "</select>";

	$puplvl_html = "<select name=\"puplvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($puplvl == $xlvlss[$i])
		{
				$puplvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$puplvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$puplvl_html .= "</select>";

	$blulvl_html = "<select name=\"blulvl\">";
	
	for ($i = count($xlvlss)-1; $i >= 0; $i--)
	{
		if ($blulvl == $xlvlss[$i])
		{
				$blulvl_html .= "<option value=\"" . $xlvlss[$i] . "\" SELECTED>" . $xlvlss[$i] . "</option>";
		}
		else
		{
				$blulvl_html .= "<option value=\"" . $xlvlss[$i] . "\">" . $xlvlss[$i] . "</option>";
		}
	}
	
	$blulvl_html .= "</select>";

	$alchlvl_html = "<select name=\"alchlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($alchlvl == $clvls[$i])
		{
				$alchlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$alchlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$alchlvl_html .= "</select>";

	$bonelvl_html = "<select name=\"bonelvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($bonelvl == $clvls[$i])
		{
				$bonelvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$bonelvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$bonelvl_html .= "</select>";

	$clothlvl_html = "<select name=\"clothlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($clothlvl == $clvls[$i])
		{
				$clothlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$clothlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$clothlvl_html .= "</select>";

	$cooklvl_html = "<select name=\"cooklvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($cooklvl == $clvls[$i])
		{
				$cooklvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$cooklvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$cooklvl_html .= "</select>";

	$fishlvl_html = "<select name=\"fishlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($fishlvl == $clvls[$i])
		{
				$fishlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$fishlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$fishlvl_html .= "</select>";

	$goldlvl_html = "<select name=\"goldlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($goldlvl == $clvls[$i])
		{
				$goldlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$goldlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$goldlvl_html .= "</select>";

	$leatherlvl_html = "<select name=\"leatherlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($leatherlvl == $clvls[$i])
		{
				$leatherlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$leatherlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$leatherlvl_html .= "</select>";

	$smithlvl_html = "<select name=\"smithlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($smithlvl == $clvls[$i])
		{
				$smithlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$smithlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$smithlvl_html .= "</select>";

	$woodlvl_html = "<select name=\"woodlvl\">";
	
	for ($i = count($clvls)-1; $i >= 0; $i--)
	{
		if ($woodlvl == $clvls[$i])
		{
				$woodlvl_html .= "<option value=\"" . $clvls[$i] . "\" SELECTED>" . $clvls[$i] . "</option>";
		}
		else
		{
				$woodlvl_html .= "<option value=\"" . $clvls[$i] . "\">" . $clvls[$i] . "</option>";
		}
	}
	
	$woodlvl_html .= "</select>";

	$mcraft_html = "<select name=\"prof1\">";
	
	for ($i = count($crafts_id)-1; $i >= 0; $i--)
	{
		if ($prof1 == $crafts_id[$i])
		{
				$mcraft_html .= "<option value=\"" . $crafts_id[$i] . "\" SELECTED>" . $crafts_names[$i] . "</option>";
		}
		else
		{
				$mcraft_html .= "<option value=\"" . $crafts_id[$i] . "\">" . $crafts_names[$i] . "</option>";
		}
	}
	
	$mcraft_html .= "</select>";

	$scraft_html = "<select name=\"prof2\">";
	
	for ($i = count($crafts_id)-1; $i >= 0; $i--)
	{
		if ($prof2 == $crafts_id[$i])
		{
				$scraft_html .= "<option value=\"" . $crafts_id[$i] . "\" SELECTED>" . $crafts_names[$i] . "</option>";
		}
		else
		{
				$scraft_html .= "<option value=\"" . $crafts_id[$i] . "\">" . $crafts_names[$i] . "</option>";
		}
	}
	
	$scraft_html .= "</select>";


						if( $race == 1 )
						{
							$races = $lang['FFXIELVAAN'];
						}
						else if( $race == 2 )
						{
							$races = $lang['FFXIGALKA'];
						}
						else if( $race == 3 )
						{
							$races = $lang['FFXIHume'];
						}
						else if( $race == 4 )
						{
							$races = $lang['FFXIMITHRA'];
						}
						else if( $race == 5 )
						{
							$races = $lang['FFXITARU'];
						}
						else
						{
							$races = $race;
						}

	$template->assign_vars(array(
		'ID' => $ID,
		'CNAME' => $cname,
		'CSERV' => $server_html,
		'RANKS' => $ranks_html,
		'NATION' => $nation_html,
		'CCLASS' => $cclass_html,
		'SCLASS' => $sclass_html,
		'RACE' => $races,
		'MCRAFT' => $mcraft_html,
		'SCRAFT' => $scraft_html,
		'WARLVL' => $warlvl_html,
		'MNKLVL' => $mnklvl_html,
		'WHMLVL' => $whmlvl_html,
		'BLMLVL' => $blmlvl_html,
		'RDMLVL' => $rdmlvl_html,
		'THFLVL' => $thflvl_html,
		'PLDLVL' => $pldlvl_html,
		'DRKLVL' => $drklvl_html,
		'BSTLVL' => $bstlvl_html,
		'RNGLVL' => $rnglvl_html,
		'BRDLVL' => $brdlvl_html,
		'SMNLVL' => $smnlvl_html,
		'SAMLVL' => $samlvl_html,
		'NINLVL' => $ninlvl_html,
		'DRGLVL' => $drglvl_html,

		'CORLVL' => $corlvl_html,
		'PUPLVL' => $puplvl_html,
		'BLULVL' => $blulvl_html,
		
		'ALCHLVL' => $alchlvl_html,
		'BONELVL' => $bonelvl_html,
		'CLOTHLVL' => $clothlvl_html,
		'COOKLVL' => $cooklvl_html,
		'FISHLVL' => $fishlvl_html,
		'GOLDLVL' => $goldlvl_html,
		'LEATHERLVL' => $leatherlvl_html,
		'SMITHLVL' => $smithlvl_html,
		'WOODLVL' => $woodlvl_html,
		'S_CHAR_ACTION' => append_sid("char_edit.$phpEx?mode=edit"))
		);
	
	// assign template
	$template->set_filenames(array(
			'body' => 'char_edit_edit.tpl')
	);
}
else if ($mode == "delete")
{
	$ID = $HTTP_GET_VARS['ID'];
	
	//Check if this user is allowed to delete this char
	$sql = "SELECT user_ID FROM " . CHARACTERS_TABLE . " WHERE ID = '$ID' LIMIT 1";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	$row = $db->sql_fetchrow($result);
	$db->sql_freeresult($result);
	
	if ($userdata['user_id'] != $row['user_ID'])
	{
			message_die(GENERAL_ERROR, $lang['FFXINOTUDEL']);
	}
	$sql = "DELETE FROM " . CHARACTERS_TABLE . " WHERE ID = '$ID' LIMIT 1";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	//$row = $db->sql_fetchrow($result);
	//$db->sql_freeresult($result);
	
	message_die(GENERAL_MESSAGE, $lang['FFXIDEL']);
}
else if ($mode == "changemain")
{
	// Change all old characters to be set as non-mains:
	$user_id = $userdata['user_id'];
	$sql = "UPDATE " . CHARACTERS_TABLE . " SET main = 0 WHERE user_ID = $user_id";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	//$db->sql_freeresult($result);
	
	// make the new character main:
	$main = $_POST['main'];
	$sql = "UPDATE " . CHARACTERS_TABLE . " SET main = 1 WHERE ID = $main LIMIT 1";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	//$db->sql_freeresult($result);
	
	// done, forwarding. . .
	message_die(GENERAL_MESSAGE, $lang['FFXIMAINCHANGE']);
}
else
{
	// assign template
	$template->set_filenames(array(
			'body' => 'char_edit_main.tpl')
	);
	
	
	$drop_change = "<select name=\"main\">";
	
	// top table:
	$sql = "SELECT ID, main, user_ID, cserv, cname, nation, cclass, sclass, race, prof1, prof2, warlvl, mnklvl, whmlvl, blmlvl, rdmlvl, thflvl, pldlvl, drklvl, bstlvl, rnglvl, brdlvl, smnlvl, samlvl, ninlvl, drglvl, corlvl, puplvl, blulvl, alchlvl, bonelvl, clothlvl, cooklvl, fishlvl, goldlvl, leatherlvl, smithlvl, woodlvl
	FROM " . CHARACTERS_TABLE . "
	ORDER BY ID ASC";
	if( !($result = $db->sql_query($sql)) )
	{
			message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
	}
	if ( $row = $db->sql_fetchrow($result) )
	{
		$i = 0;
		do
		{
			if ($row['user_ID'] == $userdata['user_id'])
			{
				// Start retreiving information
				$ID = $row["ID"];
				$charname = $row['cname'];
				$cserv = $row['cserv'];
				$nation = $row['nation'];
				$cclass = $row['cclass'];
				$sclass = $row['sclass'];
				$race = $row['race'];
				$main = $row['main'];

				$warlvl = $row['warlvl'];
				$mnklvl = $row['mnklvl'];
				$whmlvl = $row['whmlvl'];
				$blmlvl = $row['blmlvl'];
				$rdmlvl = $row['rdmlvl'];
				$thflvl = $row['thflvl'];
				$pldlvl = $row['pldlvl'];
				$drklvl = $row['drklvl'];
				$bstlvl = $row['bstlvl'];
				$rnglvl = $row['rnglvl'];
				$brdlvl = $row['brdlvl'];
				$smnlvl = $row['smnlvl'];
				$samlvl = $row['samlvl'];
				$ninlvl = $row['ninlvl'];
				$drglvl = $row['drglvl'];
				$corlvl = $row['corlvl'];
				$puplvl = $row['puplvl'];
				$blulvl = $row['blulvl'];
				$prof1 = $row['prof1'];
				$prof2 = $row['prof2'];

				$alchlvl = $row['alchlvl'];
				$bonelvl = $row['bonelvl'];
				$clothlvl = $row['clothlvl'];
				$cooklvl = $row['cooklvl'];
				$fishlvl = $row['fishlvl'];
				$goldlvl = $row['goldlvl'];
				$leatherlvl = $row['leatherlvl'];
				$smithlvl = $row['smithlvl'];
				$woodlvl = $row['woodlvl'];

				$main =  ($main) ? "[main]" : "";
		
				$row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
				$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'];
				
				$drop_change .= "<option value=\"$ID\">$charname</option>";
					
						if( $cserv == 1 )
						{
							$server = $lang['Alexander'];
						}
						else if( $cserv == 2 )
						{
								$server = $lang['Asura'];
						}
						else if( $cserv == 3 )
						{
								$server = $lang['Atomos'];
						}
						else if( $cserv == 4 )
						{
								$server = $lang['Bahamut'];
						}
						else if( $cserv == 5 )
						{
								$server = $lang['Bismarck'];
						}
						else if( $cserv == 6 )
						{
								$server = $lang['Caitsith'];
						}
						else if( $cserv == 7 )
						{
								$server = $lang['Carbuncle'];
						}
						else if( $cserv == 8 )
						{
								$server = $lang['Cerberus'];
						}
						else if( $cserv == 9 )
						{
								$server = $lang['Diabolos'];
						}
						else if( $cserv == 10 )
						{
								$server = $lang['Fairy'];
						}
						else if( $cserv == 11 )
						{
								$server = $lang['Fenrir'];
						}	
						else if( $cserv == 12 )
						{
								$server = $lang['Garuda'];
						}
						else if( $cserv == 13 )
						{
								$server = $lang['Gilgamesh'];
						}
						else if( $cserv == 14 )
						{
								$server = $lang['Hades'];
						}						
						else if( $cserv == 15 )
						{
								$server = $lang['Hydra'];
						}
						else if( $cserv == 16 )
						{
								$server = $lang['Ifrit'];
						}
						else if( $cserv == 17 )
						{
								$server = $lang['Kujata'];
						}
						else if( $cserv == 18 )
						{
								$server = $lang['Lakshmi'];
						}
						else if( $cserv == 19 )
						{
								$server = $lang['Leviathan'];
						}
						else if( $cserv == 20 )
						{
								$server = $lang['Midgardsormr'];
						}
						else if( $cserv == 21 )
						{
								$server = $lang['Odin'];
						}
						else if( $cserv == 22 )
						{
								$server = $lang['Pandemonium'];
						}
						else if( $cserv == 23 )
						{
								$server = $lang['Phoenix'];
						}
						else if( $cserv == 24 )
						{
								$server = $lang['Quetzalcoatl'];
						}
						else if( $cserv == 25 )
						{
								$server = $lang['Ragnarok'];
						}
						else if( $cserv == 26 )
						{
								$server = $lang['Ramuh'];
						}
						else if( $cserv == 27 )
						{
								$server = $lang['Remora'];
						}
						else if( $cserv == 28 )
						{
								$server = $lang['Seraph'];
						}
						else if( $cserv == 29 )
						{
								$server = $lang['Shiva'];
						}
						else if( $cserv == 30 )
						{
								$server = $lang['Siren'];
						}
						else if( $cserv == 31 )
						{
								$server = $lang['Sylph'];
						}
						else if( $cserv == 32 )
						{
								$server = $lang['Titan'];
						}
						else if( $cserv == 33 )
						{
								$server = $lang['Unicorn'];
						}
						else if( $cserv == 34 )
						{
								$server = $lang['Valefor'];
						}
						else
						{
								$server = $cserv;
						}	

						if( $nation == 1 )
						{
							$nations = $lang['FFXIBastok'];
						}
						else if( $nation == 2 )
						{
							$nations = $lang['FFXISandy'];
						}
						else if( $nation == 3 )
						{
							$nations = $lang['FFXIWindurst'];
						}
						else
						{
							$nations = $nation;
						}
						
						
						if( $race == 1 )
						{
							$races = $lang['FFXIELVAAN'];
						}
						else if( $race == 2 )
						{
							$races = $lang['FFXIGALKA'];
						}
						else if( $race == 3 )
						{
							$races = $lang['FFXIHume'];
						}
						else if( $race == 4 )
						{
							$races = $lang['FFXIMITHRA'];
						}
						else if( $race == 5 )
						{
							$races = $lang['FFXITARU'];
						}
						else
						{
							$races = $race;
						}

						if( $cclass == 1 )
						{
							$level = $warlvl;
							$cclasss = $lang['War'];
						}
						else if( $cclass == 2 )
						{
							$level = $mnklvl;
							$cclasss = $lang['Mnk'];
						}
						else if( $cclass == 3 )
						{
							$level = $whmlvl;
							$cclasss = $lang['Whm'];
						}
						else if( $cclass == 4 )
						{
							$level = $blmlvl;
							$cclasss = $lang['Blm'];
						}
						else if( $cclass == 5 )
						{
							$level = $rdmlvl;
							$cclasss = $lang['Rdm'];
						}
						else if( $cclass == 6 )
						{
							$level = $thflvl;
							$cclasss = $lang['Thf'];
						}
						else if( $cclass == 7 )
						{
							$level = $pldlvl;
							$cclasss = $lang['Pld'];
						}
						else if( $cclass == 8 )
						{
							$level = $drklvl;
							$cclasss = $lang['Drk'];
						}
						else if( $cclass == 9 )
						{
							$level = $bstlvl;
							$cclasss = $lang['Bst'];
						}
						else if( $cclass == 10 )
						{
							$level = $rnglvl;
							$cclasss = $lang['Rng'];
						}
						else if( $cclass == 11 )
						{
							$level = $brdlvl;
							$cclasss = $lang['Brd'];
						}
						else if( $cclass == 12 )
						{
							$level = $smnlvl;
							$cclasss = $lang['Smn'];
						}
						else if( $cclass == 13 )
						{
							$level = $samlvl;
							$cclasss = $lang['Sam'];
						}
						else if( $cclass == 14 )
						{
							$level = $ninlvl;
							$cclasss = $lang['Nin'];
						}
						else if( $cclass == 15 )
						{
							$level = $drglvl;
							$cclasss = $lang['Drg'];
						}
						else if( $cclass == 16 )
						{
							$level = $corlvl;
							$cclasss = $lang['Cor'];
						}
						else if( $cclass == 17 )
						{
							$level = $puplvl;
							$cclasss = $lang['Pup'];
						}
						else if( $cclass == 18 )
						{
							$level = $blulvl;
							$cclasss = $lang['Blu'];
						}
						else
						{
							$cclasss = $cclass;
						}				

						if( $sclass == 1 )
						{
							$slevel = $warlvl;
							$sclasss = $lang['War'];
						}
						else if( $sclass == 2 )
						{
							$slevel = $mnklvl;
							$sclasss = $lang['Mnk'];
						}
						else if( $sclass == 3 )
						{
							$slevel = $whmlvl;
							$sclasss = $lang['Whm'];
						}
						else if( $sclass == 4 )
						{
							$slevel = $blmlvl;
							$sclasss = $lang['Blm'];
						}
						else if( $sclass == 5 )
						{
							$slevel = $rdmlvl;
							$sclasss = $lang['Rdm'];
						}
						else if( $sclass == 6 )
						{
							$slevel = $thflvl;
							$sclasss = $lang['Thf'];
						}
						else if( $sclass == 7 )
						{
							$slevel = $pldlvl;
							$sclasss = $lang['Pld'];
						}
						else if( $sclass == 8 )
						{
							$slevel = $drklvl;
							$sclasss = $lang['Drk'];
						}
						else if( $sclass == 9 )
						{
							$slevel = $bstlvl;
							$sclasss = $lang['Bst'];
						}
						else if( $sclass == 10 )
						{
							$slevel = $rnglvl;
							$sclasss = $lang['Rng'];
						}
						else if( $sclass == 11 )
						{
							$slevel = $brdlvl;
							$sclasss = $lang['Brd'];
						}
						else if( $sclass == 12 )
						{
							$slevel = $smnlvl;
							$sclasss = $lang['Smn'];
						}
						else if( $sclass == 13 )
						{
							$slevel = $samlvl;
							$sclasss = $lang['Sam'];
						}
						else if( $sclass == 14 )
						{
							$slevel = $ninlvl;
							$sclasss = $lang['Nin'];
						}
						else if( $sclass == 15 )
						{
							$slevel = $drglvl;
							$sclasss = $lang['Drg'];
						}
						else if( $sclass == 16 )
						{
							$slevel = $corlvl;
							$sclasss = $lang['Cor'];
						}
						else if( $sclass == 17 )
						{
							$slevel = $puplvl;
							$sclasss = $lang['Pup'];
						}
						else if( $sclass == 18 )
						{
							$slevel = $blulvl;
							$sclasss = $lang['Blu'];
						}
						else
						{
							$sclasss = $sclass;
						}			

						if( $prof1 == 0 )
						{
							$prof1lvl = "";
							$prof1s = "";
						}
						else if( $prof1 == 1 )
						{
							$prof1lvl = "(" .$alchlvl . ")";
							$prof1s = $lang['FFXIAlchemy'];
						}
						else if( $prof1 == 2 )
						{
							$prof1lvl = "(" .$bonelvl . ")";
							$prof1s = $lang['FFXIBone'];
						}
						else if( $prof1 == 3 )
						{
							$prof1lvl = "(" .$clothlvl . ")";
							$prof1s = $lang['FFXICloth'];
						}
						else if( $prof1 == 4 )
						{
							$prof1lvl = "(" .$cooklvl . ")";
							$prof1s = $lang['FFXICook'];
						}
						else if( $prof1 == 5 )
						{
							$prof1lvl = "(" .$fishlvl . ")";
							$prof1s = $lang['FFXIFish'];
						}
						else if( $prof1 == 6 )
						{
							$prof1lvl = "(" .$goldlvl . ")";
							$prof1s = $lang['FFXIGold'];
						}
						else if( $prof1 == 7 )
						{
							$prof1lvl = "(" .$leatherlvl . ")";
							$prof1s = $lang['FFXILeather'];
						}
						else if( $prof1 == 8 )
						{
							$prof1lvl = "(" . $smithlvl . ")";
							$prof1s = $lang['FFXISmith'];
						}
						else if( $prof1 == 9 )
						{
							$prof1lvl = "(" .$woodlvl . ")";
							$prof1s = $lang['FFXIWood'];
						}
						else
						{
							$prof1s = $prof1;
						}		

						if( $prof2 == 0 )
						{
							$prof2lvl = "";
							$prof2s = "";
						}
						else if( $prof2 == 1 )
						{
							$prof2lvl = "(" .$alchlvl . ")";
							$prof2s = $lang['FFXIAlchemy'];
						}
						else if( $prof2 == 2 )
						{
							$prof2lvl = "(" .$bonelvl . ")";
							$prof2s = $lang['FFXIBone'];
						}
						else if( $prof2 == 3 )
						{
							$prof2lvl = "(" .$clothlvl . ")";
							$prof2s = $lang['FFXICloth'];
						}
						else if( $prof2 == 4 )
						{
							$prof2lvl = "(" .$cooklvl . ")";
							$prof2s = $lang['FFXICook'];
						}
						else if( $prof2 == 5 )
						{
							$prof2lvl ="(" . $fishlvl . ")";
							$prof2s = $lang['FFXIFish'];
						}
						else if( $prof2 == 6 )
						{
							$prof2lvl = "(" .$goldlvl . ")";
							$prof2s = $lang['FFXIGold'];
						}
						else if( $prof2 == 7 )
						{
							$prof2lvl = "(" .$leatherlvl . ")";
							$prof2s = $lang['FFXILeather'];
						}
						else if( $prof2 == 8 )
						{
							$prof2lvl = "(" .$smithlvl . ")";
							$prof2s = $lang['FFXISmith'];
						}
						else if( $prof2 == 9 )
						{
							$prof2lvl = "(" .$woodlvl . ")";
							$prof2s = $lang['FFXIWood'];
						}
						else
						{
							$prof2s = $prof2;
						}		


					if( $slevel > ($level /2) )
					{
					   $slevel = floor($level /2);

							if( floor($level /2) == 0 )
							{
							   $slevel = 1;
							}
					}

				$template->assign_block_vars('memberrow', array(
					'ROW_NUMBER' => $i + ( $start + 1 ),
					'ROW_COLOR' => '#' . $row_color,
					'ROW_CLASS' => $row_class,
					'CSERV' => $server,
					'CHARACTER' => $charname,
					'COL2' => $races,
					'COL3' => $level . " " . $cclasss, 
					'COL4' => $slevel . " " . $sclasss,
					'NATION' => $nations,
					'PROFS1' => $prof1s . " " . $prof1lvl,
					'PROFS2' => $prof2s . " " . $prof2lvl,
					'MAIN' => $main,

					'EDIT' => "<form method=\"POST\" action=\"char_edit.$phpEx?mode=editform&ID=$ID\"><input type=\"submit\" value=\"" . $lang['FFXIEDIT'] . "\" class=\"liteoption\"></form>",
					'DELETE' =>"<form method=\"POST\" action=\"char_edit.$phpEx?mode=delete&ID=$ID\"><input type=\"submit\" value=\"" . $lang['Delete'] . "\" class=\"liteoption\"></form>")
				);
	
				$i++;


				if( $board_config['show_serv'] != 0 )
				{

					
					$template->assign_block_vars('memberrow.switch_cserv_info', array()	);

				}



					if( !empty($sclass) )
					{
					    $template->assign_block_vars('memberrow.switch_sclass_info', array() );
		
					}
					else
					{
					   $template->assign_block_vars('memberrow.switch_sclass_no_info', array() );
					}

				}

			}
			while ( $row = $db->sql_fetchrow($result) );
			{
				$db->sql_freeresult($result);
			}

	}
	
	$drop_change .= "</select>";
}

$template->assign_vars(array(
	'CHANGE' => $drop_change,
	'BOTTOM_COLOR' => $theme['td_class2'],
	'S_CHAR_ACTION_CM' => append_sid("char_edit.$phpEx?mode=changemain"),
	'S_CHAR_ACTION_AF' => append_sid("char_edit.$phpEx?mode=addform"))
	);

if( $board_config['show_serv'] != 0 )
{

	$template->assign_block_vars('switch_cserv_info', array());

}
else
{
	$template->assign_block_vars('switch_cserv_no_info', array());
}

$template->pparse('body');

// standard page footer
include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>