<?php

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_FFXI_CHARACTERS);
init_userprefs($userdata);
//
// End session management
//

$start = ( isset($HTTP_GET_VARS['start']) ) ? intval($HTTP_GET_VARS['start']) : 0;

if ( isset($HTTP_GET_VARS['mode']) || isset($HTTP_POST_VARS['mode']) )
{
	$mode = ( isset($HTTP_POST_VARS['mode']) ) ? htmlspecialchars($HTTP_POST_VARS['mode']) : htmlspecialchars($HTTP_GET_VARS['mode']);
}
else
{
	$mode = 'default';
}

if(isset($HTTP_POST_VARS['order']))
{
	$sort_order = ($HTTP_POST_VARS['order'] == 'ASC') ? 'ASC' : 'DESC';
}
else if(isset($HTTP_GET_VARS['order']))
{
	$sort_order = ($HTTP_GET_VARS['order'] == 'ASC') ? 'ASC' : 'DESC';
}
else
{
	$sort_order = 'ASC';
}

//
// Memberlist sorting
//
$mode_types_text = array($lang['Forum_Username'], $lang['Character_Name'], $lang['Character_Serv'], $lang['FFXIRank'], $lang['FFXINation'], $lang['Main_Job'], $lang['Sub_Job']);
$mode_types = array('username', 'cname', 'cserv', 'rank', 'nation', 'cclass', 'sclass');



$select_sort_mode = '<select name="mode">';
for($i = 0; $i < count($mode_types_text); $i++)
{
	$selected = ( $mode == $mode_types[$i] ) ? ' selected="selected"' : '';
	$select_sort_mode .= '<option value="' . $mode_types[$i] . '"' . $selected . '>' . $mode_types_text[$i] . '</option>';
}
$select_sort_mode .= '</select>';

$select_sort_order = '<select name="order">';
if($sort_order == 'ASC')
{
	$select_sort_order .= '<option value="ASC" selected="selected">' . $lang['Sort_Ascending'] . '</option><option value="DESC">' . $lang['Sort_Descending'] . '</option>';
}
else
{
	$select_sort_order .= '<option value="ASC">' . $lang['Sort_Ascending'] . '</option><option value="DESC" selected="selected">' . $lang['Sort_Descending'] . '</option>';
}
$select_sort_order .= '</select>';

//
// Generate page
//
$page_title = $lang['FFXICHARMAIN'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->set_filenames(array(
	'body' => 'characters_body.tpl')
);
make_jumpbox('viewforum.'.$phpEx);

$button = ($userdata['user_id'] != ANONYMOUS) && ( $board_config['allow_ffxi_characters'] != 0) && ( $userdata['user_allow_ffxi_char'] != 0) ? "<form method=\"POST\" action=\"char_edit.$phpEx\"><input type=\"submit\" value=\"" . $lang['FFXIMANAGCHAR'] . "\" class=\"liteoption\"></form>" : "";

$template->assign_vars(array(
																													
	'BUTTON' => $button,

	'S_MODE_SELECT' => $select_sort_mode,
	'S_ORDER_SELECT' => $select_sort_order,
	'S_MODE_ACTION' => append_sid("characters.$phpEx"))
);


switch( $mode )
{
	case 'username':
		$order_by = "username $sort_order";
		break;
	case 'cname':
		$order_by = "cname $sort_order";
		break;
	case 'cserv':
		$order_by = "cserv $sort_order";
		break;
	case 'rank':
		$order_by = "rank $sort_order";
		break;
	case 'nation':
		$order_by = "nation $sort_order";
		break;
	case 'cclass':
		$order_by = "cclass $sort_order";
		break;
	case 'sclass':
		$order_by = "sclass $sort_order";
		break;
	default:
		$order_by = "username $sort_order";
		break;
}



$sql = "SELECT c.ID, c.user_ID, c.cname, c.cserv, c.rank, c.nation, c.cclass, c.sclass, c.race, c.prof1, c.prof2, c.warlvl, c.mnklvl, c.whmlvl, c.blmlvl, c.rdmlvl, c.thflvl, c.pldlvl, c.drklvl, c.bstlvl, c.rnglvl, c.brdlvl, c.smnlvl, c.samlvl, c.ninlvl, c.drglvl, c.corlvl, c.puplvl, c.blulvl, c.alchlvl, c.bonelvl, c.clothlvl, c.cooklvl, c.fishlvl, c.goldlvl, c.leatherlvl, c.smithlvl, c.woodlvl, u.username, u.user_id
	FROM " . CHARACTERS_TABLE . " c, " . USERS_TABLE . " u
	WHERE u.user_id = c.user_ID
	ORDER BY $order_by";
if( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, $lang['FFXINOQUERY'], '', __LINE__, __FILE__, $sql);
}

if ( $row = $db->sql_fetchrow($result) )
{
	$i = 0;
	do
	{
	
		// Start retreiving information

		$username = $row['username'];
		
		$charname = $row['cname'];
		$cserv = $row['cserv'];
		$rank = $row['rank'];
		$nation = $row['nation'];
		$cclass = $row['cclass'];
		$sclass = $row['sclass'];
		$race = $row['race'];
		$prof1 = $row['prof1'];
		$prof2 = $row['prof2'];

		$warlvl = $row['warlvl'];
		$mnklvl = $row['mnklvl'];
		$whmlvl = $row['whmlvl'];
		$blmlvl = $row['blmlvl'];
		$rdmlvl = $row['rdmlvl'];
		$thflvl = $row['thflvl'];
		$pldlvl = $row['pldlvl'];
		$drklvl = $row['drklvl'];
		$bstlvl = $row['bstlvl'];
		$rnglvl = $row['rnglvl'];
		$brdlvl = $row['brdlvl'];
		$smnlvl = $row['smnlvl'];
		$samlvl = $row['samlvl'];
		$ninlvl = $row['ninlvl'];
		$drglvl = $row['drglvl'];
		$corlvl = $row['corlvl'];
		$puplvl = $row['puplvl'];
		$blulvl = $row['blulvl'];

		$alchlvl = $row['alchlvl'];
		$bonelvl = $row['bonelvl'];
		$clothlvl = $row['clothlvl'];
		$cooklvl = $row['cooklvl'];
		$fishlvl = $row['fishlvl'];
		$goldlvl = $row['goldlvl'];
		$leatherlvl = $row['leatherlvl'];
		$smithlvl = $row['smithlvl'];
		$woodlvl = $row['woodlvl'];

		$row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
		$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'];

						if( $cserv == 1 )
						{
							$server = $lang['Alexander'];
						}
						else if( $cserv == 2 )
						{
								$server = $lang['Asura'];
						}
						else if( $cserv == 3 )
						{
								$server = $lang['Atomos'];
						}
						else if( $cserv == 4 )
						{
								$server = $lang['Bahamut'];
						}
						else if( $cserv == 5 )
						{
								$server = $lang['Bismarck'];
						}
						else if( $cserv == 6 )
						{
								$server = $lang['Caitsith'];
						}
						else if( $cserv == 7 )
						{
								$server = $lang['Carbuncle'];
						}
						else if( $cserv == 8 )
						{
								$server = $lang['Cerberus'];
						}
						else if( $cserv == 9 )
						{
								$server = $lang['Diabolos'];
						}
						else if( $cserv == 10 )
						{
								$server = $lang['Fairy'];
						}
						else if( $cserv == 11 )
						{
								$server = $lang['Fenrir'];
						}	
						else if( $cserv == 12 )
						{
								$server = $lang['Garuda'];
						}
						else if( $cserv == 13 )
						{
								$server = $lang['Gilgamesh'];
						}
						else if( $cserv == 14 )
						{
								$server = $lang['Hades'];
						}						
						else if( $cserv == 15 )
						{
								$server = $lang['Hydra'];
						}
						else if( $cserv == 16 )
						{
								$server = $lang['Ifrit'];
						}
						else if( $cserv == 17 )
						{
								$server = $lang['Kujata'];
						}
						else if( $cserv == 18 )
						{
								$server = $lang['Lakshmi'];
						}
						else if( $cserv == 19 )
						{
								$server = $lang['Leviathan'];
						}
						else if( $cserv == 20 )
						{
								$server = $lang['Midgardsormr'];
						}
						else if( $cserv == 21 )
						{
								$server = $lang['Odin'];
						}
						else if( $cserv == 22 )
						{
								$server = $lang['Pandemonium'];
						}
						else if( $cserv == 23 )
						{
								$server = $lang['Phoenix'];
						}
						else if( $cserv == 24 )
						{
								$server = $lang['Quetzalcoatl'];
						}
						else if( $cserv == 25 )
						{
								$server = $lang['Ragnarok'];
						}
						else if( $cserv == 26 )
						{
								$server = $lang['Ramuh'];
						}
						else if( $cserv == 27 )
						{
								$server = $lang['Remora'];
						}
						else if( $cserv == 28 )
						{
								$server = $lang['Seraph'];
						}
						else if( $cserv == 29 )
						{
								$server = $lang['Shiva'];
						}
						else if( $cserv == 30 )
						{
								$server = $lang['Siren'];
						}
						else if( $cserv == 31 )
						{
								$server = $lang['Sylph'];
						}
						else if( $cserv == 32 )
						{
								$server = $lang['Titan'];
						}
						else if( $cserv == 33 )
						{
								$server = $lang['Unicorn'];
						}
						else if( $cserv == 34 )
						{
								$server = $lang['Valefor'];
						}
						else
						{
								$server = $cserv;
						}	

						if( $nation == 1 )
						{
							$nations = $lang['FFXIBastok'];
						}
						else if( $nation == 2 )
						{
							$nations = $lang['FFXISandy'];
						}
						else if( $nation == 3 )
						{
							$nations = $lang['FFXIWindurst'];
						}
						else
						{
							$nations = $nation;
						}



						if( $race == 1 )
						{
							$races = $lang['FFXIELVAAN'];
						}
						else if( $race == 2 )
						{
							$races = $lang['FFXIGALKA'];
						}
						else if( $race == 3 )
						{
							$races = $lang['FFXIHume'];
						}
						else if( $race == 4 )
						{
							$races = $lang['FFXIMITHRA'];
						}
						else if( $race == 5 )
						{
							$races = $lang['FFXITARU'];
						}
						else
						{
							$races = $race;
						}

						if( $cclass == 1 )
						{
							$level = $warlvl;
							$cclasss = $lang['War'];
						}
						else if( $cclass == 2 )
						{
							$level = $mnklvl;
							$cclasss = $lang['Mnk'];
						}
						else if( $cclass == 3 )
						{
							$level = $whmlvl;
							$cclasss = $lang['Whm'];
						}
						else if( $cclass == 4 )
						{
							$level = $blmlvl;
							$cclasss = $lang['Blm'];
						}
						else if( $cclass == 5 )
						{
							$level = $rdmlvl;
							$cclasss = $lang['Rdm'];
						}
						else if( $cclass == 6 )
						{
							$level = $thflvl;
							$cclasss = $lang['Thf'];
						}
						else if( $cclass == 7 )
						{
							$level = $pldlvl;
							$cclasss = $lang['Pld'];
						}
						else if( $cclass == 8 )
						{
							$level = $drklvl;
							$cclasss = $lang['Drk'];
						}
						else if( $cclass == 9 )
						{
							$level = $bstlvl;
							$cclasss = $lang['Bst'];
						}
						else if( $cclass == 10 )
						{
							$level = $rnglvl;
							$cclasss = $lang['Rng'];
						}
						else if( $cclass == 11 )
						{
							$level = $brdlvl;
							$cclasss = $lang['Brd'];
						}
						else if( $cclass == 12 )
						{
							$level = $smnlvl;
							$cclasss = $lang['Smn'];
						}
						else if( $cclass == 13 )
						{
							$level = $samlvl;
							$cclasss = $lang['Sam'];
						}
						else if( $cclass == 14 )
						{
							$level = $ninlvl;
							$cclasss = $lang['Nin'];
						}
						else if( $cclass == 15 )
						{
							$level = $drglvl;
							$cclasss = $lang['Drg'];
						}
						else if( $cclass == 16 )
						{
							$level = $corlvl;
							$cclasss = $lang['Cor'];
						}
						else if( $cclass == 17 )
						{
							$level = $puplvl;
							$cclasss = $lang['Pup'];
						}
						else if( $cclass == 18 )
						{
							$level = $blulvl;
							$cclasss = $lang['Blu'];
						}
						else
						{
							$cclasss = $cclass;
						}	

						if( $sclass == 1 )
						{
							$slevel = $warlvl;
							$sclasss = $lang['War'];
						}
						else if( $sclass == 2 )
						{
							$slevel = $mnklvl;
							$sclasss = $lang['Mnk'];
						}
						else if( $sclass == 3 )
						{
							$slevel = $whmlvl;
							$sclasss = $lang['Whm'];
						}
						else if( $sclass == 4 )
						{
							$slevel = $blmlvl;
							$sclasss = $lang['Blm'];
						}
						else if( $sclass == 5 )
						{
							$slevel = $rdmlvl;
							$sclasss = $lang['Rdm'];
						}
						else if( $sclass == 6 )
						{
							$slevel = $thflvl;
							$sclasss = $lang['Thf'];
						}
						else if( $sclass == 7 )
						{
							$slevel = $pldlvl;
							$sclasss = $lang['Pld'];
						}
						else if( $sclass == 8 )
						{
							$slevel = $drklvl;
							$sclasss = $lang['Drk'];
						}
						else if( $sclass == 9 )
						{
							$slevel = $bstlvl;
							$sclasss = $lang['Bst'];
						}
						else if( $sclass == 10 )
						{
							$slevel = $rnglvl;
							$sclasss = $lang['Rng'];
						}
						else if( $sclass == 11 )
						{
							$slevel = $brdlvl;
							$sclasss = $lang['Brd'];
						}
						else if( $sclass == 12 )
						{
							$slevel = $smnlvl;
							$sclasss = $lang['Smn'];
						}
						else if( $sclass == 13 )
						{
							$slevel = $samlvl;
							$sclasss = $lang['Sam'];
						}
						else if( $sclass == 14 )
						{
							$slevel = $ninlvl;
							$sclasss = $lang['Nin'];
						}
						else if( $sclass == 15 )
						{
							$slevel = $drglvl;
							$sclasss = $lang['Drg'];
						}
						else if( $sclass == 16 )
						{
							$slevel = $corlvl;
							$sclasss = $lang['Cor'];
						}
						else if( $sclass == 17 )
						{
							$slevel = $puplvl;
							$sclasss = $lang['Pup'];
						}
						else if( $sclass == 18 )
						{
							$slevel = $blulvl;
							$sclasss = $lang['Blu'];
						}
						else
						{
							$sclasss = $sclass;
						}			

						if( $prof1 == 0 )
						{
							$prof1lvl = "";
							$prof1s = "";
						}
						else if( $prof1 == 1 )
						{
							$prof1lvl = "(" .$alchlvl . ")";
							$prof1s = $lang['FFXIAlchemy'];
						}
						else if( $prof1 == 2 )
						{
							$prof1lvl = "(" .$bonelvl . ")";
							$prof1s = $lang['FFXIBone'];
						}
						else if( $prof1 == 3 )
						{
							$prof1lvl = "(" .$clothlvl . ")";
							$prof1s = $lang['FFXICloth'];
						}
						else if( $prof1 == 4 )
						{
							$prof1lvl = "(" .$cooklvl . ")";
							$prof1s = $lang['FFXICook'];
						}
						else if( $prof1 == 5 )
						{
							$prof1lvl = "(" .$fishlvl . ")";
							$prof1s = $lang['FFXIFish'];
						}
						else if( $prof1 == 6 )
						{
							$prof1lvl = "(" .$goldlvl . ")";
							$prof1s = $lang['FFXIGold'];
						}
						else if( $prof1 == 7 )
						{
							$prof1lvl = "(" .$leatherlvl . ")";
							$prof1s = $lang['FFXILeather'];
						}
						else if( $prof1 == 8 )
						{
							$prof1lvl = "(" . $smithlvl . ")";
							$prof1s = $lang['FFXISmith'];
						}
						else if( $prof1 == 9 )
						{
							$prof1lvl = "(" .$woodlvl . ")";
							$prof1s = $lang['FFXIWood'];
						}
						else
						{
							$prof1s = $prof1;
						}		

						if( $prof2 == 0 )
						{
							$prof2lvl = "";
							$prof2s = "";
						}
						else if( $prof2 == 1 )
						{
							$prof2lvl = "(" .$alchlvl . ")";
							$prof2s = $lang['FFXIAlchemy'];
						}
						else if( $prof2 == 2 )
						{
							$prof2lvl = "(" .$bonelvl . ")";
							$prof2s = $lang['FFXIBone'];
						}
						else if( $prof2 == 3 )
						{
							$prof2lvl = "(" .$clothlvl . ")";
							$prof2s = $lang['FFXICloth'];
						}
						else if( $prof2 == 4 )
						{
							$prof2lvl = "(" .$cooklvl . ")";
							$prof2s = $lang['FFXICook'];
						}
						else if( $prof2 == 5 )
						{
							$prof2lvl ="(" . $fishlvl . ")";
							$prof2s = $lang['FFXIFish'];
						}
						else if( $prof2 == 6 )
						{
							$prof2lvl = "(" .$goldlvl . ")";
							$prof2s = $lang['FFXIGold'];
						}
						else if( $prof2 == 7 )
						{
							$prof2lvl = "(" .$leatherlvl . ")";
							$prof2s = $lang['FFXILeather'];
						}
						else if( $prof2 == 8 )
						{
							$prof2lvl = "(" .$smithlvl . ")";
							$prof2s = $lang['FFXISmith'];
						}
						else if( $prof2 == 9 )
						{
							$prof2lvl = "(" .$woodlvl . ")";
							$prof2s = $lang['FFXIWood'];
						}
						else
						{
							$prof2s = $prof2;
						}		
					
					if( $slevel > ($level /2) )
					{
					   $slevel = floor($level /2);

							if( floor($level /2) == 0 )
							{
							   $slevel = 1;
							}
					}
	

		$template->assign_block_vars('memberrow', array(
			'ROW_NUMBER' => $i + ( $start + 1 ),
			'ROW_COLOR' => '#' . $row_color,
			'ROW_CLASS' => $row_class,
		
			'USERNAME' => $username,
			'USERNAME_LINK' => "profile.$phpEx?mode=viewprofile&sub=Main_Char&" . POST_USERS_URL ."=" . $row['user_ID'],
			'CHARACTER' => $charname,
			'CSERV' => $server,
			'RANK' => $rank,
			'NATION' => $nations,
			'LVL' => $level,
			'CCLASS' => $cclasss,
			'SLVL' => $slevel,
			'SCLASS' => $sclasss,
			'RACE' => $races,
			'PROFS1' => $prof1s . " " . $prof1lvl,
			'PROFS2' => $prof2s . " " . $prof2lvl)
			);

		$i++;


			if( $board_config['show_serv'] != 0 )
			{
				$template->assign_block_vars('memberrow.switch_cserv_info', array()	);
			}

			if( !empty($sclass) )
			{
			   $template->assign_block_vars('memberrow.switch_sclass_info', array() );
			}
			else
			{
			   $template->assign_block_vars('memberrow.switch_sclass_no_info', array() );
			}

	}
	while ( $row = $db->sql_fetchrow($result) );
	$db->sql_freeresult($result);
}


if( $board_config['show_serv'] != 0 )
{
	$template->assign_block_vars('switch_cserv_info_top', array());
}
else
{
	$template->assign_block_vars('switch_cserv_no_info_top', array());
}

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>